Bug 447624 - Nautilus always uses "Link to ..." as symlink filenames
Nautilus always uses "Link to ..." as symlink filenames
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Patch, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 16:48 EDT by Nils Philippsen
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that reverts to the old behaviour (1.05 KB, patch)
2008-05-20 17:00 EDT, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Nils Philippsen 2008-05-20 16:48:18 EDT
Description of problem:
When making symbolic links to files, Nautilus prepends "Link to" to the name of
the original file. The original filenames are good as they are and I can
recognize symbolic links by their arrow corner symbol.

Version-Release number of selected component (if applicable):
nautilus-2.22.2-7.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make a symbolic link from one file in another folder.
  
Actual results:
Name of the symbolic link is "Link to <original file name>"

Expected results:
I'd like to switch back to the old behaviour, where the symlink filename was the
same as the original file (if no other file of that name existed).
Comment 1 Nils Philippsen 2008-05-20 17:00:00 EDT
Created attachment 306187 [details]
Patch that reverts to the old behaviour

This patch reverts to the behaviour Nautilus had until Fedora 8 (hard-coded).
To make this configurable, simply change the start value of "count" from 0 to 1
in libnautilus-private/nautilus-file-operations.c:link_to() if a suitable
configuration option is (un)set.
Comment 2 Matthias Clasen 2008-05-22 22:31:18 EDT
Sounds right to me, we should fix this upstream, though.
Comment 3 Matthias Clasen 2008-05-22 22:35:16 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=534432
Comment 4 Nils Philippsen 2009-02-23 09:13:59 EST
this issue has been fixed upstream
Comment 5 Bug Zapper 2009-06-09 21:02:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:42:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.